#
# NDK build file
#
# Writed by Ant-ON, 2015-2021
#

#
# Based on busybox 0.52:
# https://busybox.net/downloads/legacy/busybox-0.52.tar.gz
#

LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_MODULE := coreutils

LOCAL_C_INCLUDES := $(LOCAL_PATH) \
	$(LOCAL_PATH)/libbb \

LOCAL_SRC_FILES := \
	c2cBridge.c \
	coreutils.c \
	cp.c \
	mv.c \
	xreadlink.c \
	rm.c \
	ls.c \
	find.c \
	libbb/remove_file.c \
	libbb/error_msg.c \
	libbb/perror_msg.c \
	libbb/perror_msg_and_die.c \
	libbb/get_last_path_component.c \
	libbb/mode_string.c \
	libbb/recursive_action.c \
	libbb/last_char_is.c \
	libbb/concat_path_file.c \
	libbb/copy_file.c \
	libbb/copy_file_chunk.c \

COREUTILS_FLAG := -DANDROID_ZA_UI -D_FILE_OFFSET_BITS=64 \
	-DBB_FEATURE_LS_TIMESTAMPS -DBB_FEATURE_LS_FOLLOWLINKS

OPTIMIZATION_FLAGS := -Oz \
	\
	-frename-registers -fomit-frame-pointer -fno-strict-aliasing \
	-funswitch-loops

LOCAL_CFLAGS := $(OPTIMIZATION_FLAGS) $(COREUTILS_FLAG)
LOCAL_CPPFLAGS := $(OPTIMIZATION_FLAGS) $(COREUTILS_FLAG) -fno-rtti -fno-exception
LOCAL_LDFLAGS += $(OPTIMIZATION_FLAGS)

BUILD_TYPE := BIN
include $(LOCAL_PATH)/../BuildConfig.mk

LOCAL_LDLIBS := -llog

include $(BUILD_EXECUTABLE)
