/*
 * C to C Handler
 * 
 * Author: Anton Prozorov <prozanton@gmail.com>
 * 
 * Copyright 2011-2022, ZDevs
 * 
 */

#ifndef C2CBRIDGE_HANDLER_H
#define C2CBRIDGE_HANDLER_H

// Answer
#define ANSWER_YES					0b00000001
#define ANSWER_NO					0b00000010
#define ANSWER_AUTO_RENAME			0b00000100
#define ANSWER_CANCEL				0b00001000
#define ANSWER_TO_ALL				0b00010000

// Status
#define STATUS_CANCEL				0x0F
#define STATUS_OK					0x00
#define STATUS_END					0x01

#define C2C_MAGIC_CHAR "~\t"

extern void jInit();

extern void jSetProcessPercent(int iProc);
extern void jSetProcessText(const char *sName);
extern int jAskOverwrite(const char *sExistName, long iExistSize, int iExistTime,
		const char *sNewName, long iNewSize, int iNewTime);
extern int jGetStatus();

#define toJavaBool(b) ((b)?1:0)

#endif
 
